package com.zhaoliangsz.grainsearch.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhaoliangsz.grainsearch.domain.entity.BaseDO;
import java.io.Serializable;
import java.time.LocalDateTime;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-21 14:40:08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("test_table")
public class TestTable extends BaseDO<TestTable> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 内容
     */
    @TableField("content")
    private String content;
    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Long creatorId;
    @TableField("create_by")
    private String createBy;
    @TableField("create_time")
    private LocalDateTime createTime;
    @TableField("update_by")
    private String updateBy;
    @TableField("update_time")
    private LocalDateTime updateTime;
    @TableField("has_deleted")
    @TableLogic
    private Integer hasDeleted;
    @TableField(exist = false)
    private String filed1;
    @TableField(exist = false)
    private String filed2;


}
